input[type="checkbox"], input[type="radio"] {
  cursor: pointer;
  /*top, right, bottom, left*/
  margin: 0 0.25ch 0 0.25ch;
  vertical-align: baseline;
}
input[type="checkbox"][disabled], input[type="radio"][disabled] { cursor: not-allowed }
input[type="button"] {
  animation: filter 4.567s infinite;
  background-color: #E9EFFF;
  border: 1px solid skyblue;
  cursor: pointer;
  font: 1.25em Vollkorn-italic, serif;
  letter-spacing: 0.062em;
  /*top, right, bottom, left*/
  padding: 5px 5px 1px 5px;
} /*button inside FORM*/
input[type="button"][disabled] { animation: filter calc(4.567s / 10) infinite } /*fun*/
input[type="number"] {
  border: 0;
  border-bottom: solid 1px black;
  box-sizing: border-box;
  cursor: text;
  font: 1em Inconsolata, monospace;
  letter-spacing: 0.062em;
  margin-left: 0.5ch;
  margin-right: 0.5ch; /*units*/
  padding: 0;
  width: 13ch; /*Lucky 13*/
  vertical-align: text-bottom;
}
input[type="number"]:focus { outline: none }
input[type="number"][disabled] {
  border-bottom: solid 1px #C5C5CD;
  color: #C5C5CD;
  cursor: not-allowed;
}
input[type="range"] {
  cursor: pointer;
  /*top, right, bottom, left*/
  margin: 1em 0 1.5em 0;
  width: 100%;
}
input[type="range"]::-webkit-slider-thumb, input[type="range"]::-moz-range-thumb { cursor: grab }
input[type="range"][disabled], input[type="range"][disabled]::-webkit-slider-thumb, input[type="range"][disabled]::-moz-range-thumb { cursor: not-allowed }
select { /*drop-down list*/
  cursor: pointer;
  font: 1em Vollkorn, serif;
}
select[disabled] { cursor: not-allowed }